import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author Mickael BARON (baron.mickael@gmail.com)
 * 
 * Date : november 2007
 */
@SuppressWarnings("serial")
public class IncluderServlet extends HttpServlet {
    protected void doGet(HttpServletRequest req, HttpServletResponse res)
            throws ServletException, IOException {
        res.setContentType("text/html");
        PrintWriter out = res.getWriter();
        out.println("<HTML><BODY>");

        RequestDispatcher dispatcher = req.getRequestDispatcher("included.html");
        dispatcher.include(req,res);
        out.println("<br>");
        
        req.setAttribute("bonjour", "Bonjour");
        dispatcher.include(req,res);
        out.println("<br>");
        
        req.setAttribute("bonsoir", "Bonsoir");

        dispatcher.include(req,res);
        out.println("<br>");
        
        out.println("</BODY></HTML>");
    }
}
